/** @addtogroup sctrace
 * @{
 */
/** @file
 */

#include "errors.h"

const err_desc_t err_desc[] = {
/*   0 */	{ "EOK",		"No error" },
/*  -1 */	{ "ENOENT",		"No such entry" },
/*  -2 */	{ "ENOMEM",		"Not enough memory" },
/*  -3 */	{ "ELIMIT",		"Limit exceeded" },
/*  -4 */	{ "EREFUSED",		"Connection refused" },

/*  -5 */	{ "EFORWARD",		"Forward error" },
/*  -6 */	{ "EPERM",		"Permission denied" },
/*  -7 */	{ "EHANGUP",		"Answerbox closed connection" },
/*  -8 */	{ "EEXISTS",		"Entry already exists" },
/*  -9 */	{ "EBADMEM",		"Bad memory pointer" },

/* -10 */	{ "ENOTSUP",		"Not supported" },
/* -11 */	{ "EADDRNOTAVAIL", 	"Address not available." },
/* -12 */	{ "ETIMEOUT",		"Timeout expired" },
/* -13 */	{ "EINVAL",		"Invalid value" },
/* -14 */	{ "EBUSY",		"Resource is busy" },

/* -15 */	{ "EOVERFLOW",		"The result does not fit its size." }
};

/** @}
 */
